export function PostgreSQLParserVisitor(): this;
export class PostgreSQLParserVisitor {
    constructor: typeof PostgreSQLParserVisitor;
    visitProgram(ctx: any): any;
    visitPlsqlroot(ctx: any): any;
    visitStmtblock(ctx: any): any;
    visitStmtmulti(ctx: any): any;
    visitStmt(ctx: any): any;
    visitPlsqlconsolecommand(ctx: any): any;
    visitCallstmt(ctx: any): any;
    visitCreaterolestmt(ctx: any): any;
    visitOpt_with(ctx: any): any;
    visitOptrolelist(ctx: any): any;
    visitAlteroptrolelist(ctx: any): any;
    visitAlteroptroleelem(ctx: any): any;
    visitCreateoptroleelem(ctx: any): any;
    visitCreateuserstmt(ctx: any): any;
    visitAlterrolestmt(ctx: any): any;
    visitOpt_in_database(ctx: any): any;
    visitAlterrolesetstmt(ctx: any): any;
    visitDroprolestmt(ctx: any): any;
    visitCreategroupstmt(ctx: any): any;
    visitAltergroupstmt(ctx: any): any;
    visitAdd_drop(ctx: any): any;
    visitCreateschemastmt(ctx: any): any;
    visitOptschemaname(ctx: any): any;
    visitOptschemaeltlist(ctx: any): any;
    visitSchema_stmt(ctx: any): any;
    visitVariablesetstmt(ctx: any): any;
    visitSet_rest(ctx: any): any;
    visitGeneric_set(ctx: any): any;
    visitSet_rest_more(ctx: any): any;
    visitVar_name(ctx: any): any;
    visitVar_list(ctx: any): any;
    visitVar_value(ctx: any): any;
    visitIso_level(ctx: any): any;
    visitOpt_boolean_or_string(ctx: any): any;
    visitZone_value(ctx: any): any;
    visitOpt_encoding(ctx: any): any;
    visitNonreservedword_or_sconst(ctx: any): any;
    visitVariableresetstmt(ctx: any): any;
    visitReset_rest(ctx: any): any;
    visitGeneric_reset(ctx: any): any;
    visitSetresetclause(ctx: any): any;
    visitFunctionsetresetclause(ctx: any): any;
    visitVariableshowstmt(ctx: any): any;
    visitConstraintssetstmt(ctx: any): any;
    visitConstraints_set_list(ctx: any): any;
    visitConstraints_set_mode(ctx: any): any;
    visitCheckpointstmt(ctx: any): any;
    visitDiscardstmt(ctx: any): any;
    visitAltertablestmt(ctx: any): any;
    visitAlter_table_cmds(ctx: any): any;
    visitPartition_cmd(ctx: any): any;
    visitIndex_partition_cmd(ctx: any): any;
    visitAlter_table_cmd(ctx: any): any;
    visitAlter_column_default(ctx: any): any;
    visitOpt_drop_behavior(ctx: any): any;
    visitOpt_collate_clause(ctx: any): any;
    visitAlter_using(ctx: any): any;
    visitReplica_identity(ctx: any): any;
    visitReloptions(ctx: any): any;
    visitOpt_reloptions(ctx: any): any;
    visitReloption_list(ctx: any): any;
    visitReloption_elem(ctx: any): any;
    visitAlter_identity_column_option_list(ctx: any): any;
    visitAlter_identity_column_option(ctx: any): any;
    visitPartitionboundspec(ctx: any): any;
    visitHash_partbound_elem(ctx: any): any;
    visitHash_partbound(ctx: any): any;
    visitAltercompositetypestmt(ctx: any): any;
    visitAlter_type_cmds(ctx: any): any;
    visitAlter_type_cmd(ctx: any): any;
    visitCloseportalstmt(ctx: any): any;
    visitCopystmt(ctx: any): any;
    visitCopy_from(ctx: any): any;
    visitOpt_program(ctx: any): any;
    visitCopy_file_name(ctx: any): any;
    visitCopy_options(ctx: any): any;
    visitCopy_opt_list(ctx: any): any;
    visitCopy_opt_item(ctx: any): any;
    visitOpt_binary(ctx: any): any;
    visitCopy_delimiter(ctx: any): any;
    visitOpt_using(ctx: any): any;
    visitCopy_generic_opt_list(ctx: any): any;
    visitCopy_generic_opt_elem(ctx: any): any;
    visitCopy_generic_opt_arg(ctx: any): any;
    visitCopy_generic_opt_arg_list(ctx: any): any;
    visitCopy_generic_opt_arg_list_item(ctx: any): any;
    visitCreatestmt(ctx: any): any;
    visitOpttemp(ctx: any): any;
    visitOpttableelementlist(ctx: any): any;
    visitOpttypedtableelementlist(ctx: any): any;
    visitTableelementlist(ctx: any): any;
    visitTypedtableelementlist(ctx: any): any;
    visitTableelement(ctx: any): any;
    visitTypedtableelement(ctx: any): any;
    visitColumnDef(ctx: any): any;
    visitColumnOptions(ctx: any): any;
    visitColquallist(ctx: any): any;
    visitColconstraint(ctx: any): any;
    visitColconstraintelem(ctx: any): any;
    visitGenerated_when(ctx: any): any;
    visitConstraintattr(ctx: any): any;
    visitTablelikeclause(ctx: any): any;
    visitTablelikeoptionlist(ctx: any): any;
    visitTablelikeoption(ctx: any): any;
    visitTableconstraint(ctx: any): any;
    visitConstraintelem(ctx: any): any;
    visitOpt_no_inherit(ctx: any): any;
    visitOpt_column_list(ctx: any): any;
    visitColumnlist(ctx: any): any;
    visitColumnElem(ctx: any): any;
    visitOpt_c_include(ctx: any): any;
    visitKey_match(ctx: any): any;
    visitExclusionconstraintlist(ctx: any): any;
    visitExclusionconstraintelem(ctx: any): any;
    visitExclusionwhereclause(ctx: any): any;
    visitKey_actions(ctx: any): any;
    visitKey_update(ctx: any): any;
    visitKey_delete(ctx: any): any;
    visitKey_action(ctx: any): any;
    visitOptinherit(ctx: any): any;
    visitOptpartitionspec(ctx: any): any;
    visitPartitionspec(ctx: any): any;
    visitPart_params(ctx: any): any;
    visitPart_elem(ctx: any): any;
    visitTable_access_method_clause(ctx: any): any;
    visitOptwith(ctx: any): any;
    visitOncommitoption(ctx: any): any;
    visitOpttablespace(ctx: any): any;
    visitOptconstablespace(ctx: any): any;
    visitExistingindex(ctx: any): any;
    visitCreatestatsstmt(ctx: any): any;
    visitAlterstatsstmt(ctx: any): any;
    visitCreateasstmt(ctx: any): any;
    visitCreate_as_target(ctx: any): any;
    visitOpt_with_data(ctx: any): any;
    visitCreatematviewstmt(ctx: any): any;
    visitCreate_mv_target(ctx: any): any;
    visitOptnolog(ctx: any): any;
    visitRefreshmatviewstmt(ctx: any): any;
    visitCreateseqstmt(ctx: any): any;
    visitAlterseqstmt(ctx: any): any;
    visitOptseqoptlist(ctx: any): any;
    visitOptparenthesizedseqoptlist(ctx: any): any;
    visitSeqoptlist(ctx: any): any;
    visitSeqoptelem(ctx: any): any;
    visitOpt_by(ctx: any): any;
    visitNumericonly(ctx: any): any;
    visitNumericonly_list(ctx: any): any;
    visitCreateplangstmt(ctx: any): any;
    visitOpt_trusted(ctx: any): any;
    visitHandler_name(ctx: any): any;
    visitOpt_inline_handler(ctx: any): any;
    visitValidator_clause(ctx: any): any;
    visitOpt_validator(ctx: any): any;
    visitOpt_procedural(ctx: any): any;
    visitCreatetablespacestmt(ctx: any): any;
    visitOpttablespaceowner(ctx: any): any;
    visitDroptablespacestmt(ctx: any): any;
    visitCreateextensionstmt(ctx: any): any;
    visitCreate_extension_opt_list(ctx: any): any;
    visitCreate_extension_opt_item(ctx: any): any;
    visitAlterextensionstmt(ctx: any): any;
    visitAlter_extension_opt_list(ctx: any): any;
    visitAlter_extension_opt_item(ctx: any): any;
    visitAlterextensioncontentsstmt(ctx: any): any;
    visitCreatefdwstmt(ctx: any): any;
    visitFdw_option(ctx: any): any;
    visitFdw_options(ctx: any): any;
    visitOpt_fdw_options(ctx: any): any;
    visitAlterfdwstmt(ctx: any): any;
    visitCreate_generic_options(ctx: any): any;
    visitGeneric_option_list(ctx: any): any;
    visitAlter_generic_options(ctx: any): any;
    visitAlter_generic_option_list(ctx: any): any;
    visitAlter_generic_option_elem(ctx: any): any;
    visitGeneric_option_elem(ctx: any): any;
    visitGeneric_option_name(ctx: any): any;
    visitGeneric_option_arg(ctx: any): any;
    visitCreateforeignserverstmt(ctx: any): any;
    visitOpt_type(ctx: any): any;
    visitForeign_server_version(ctx: any): any;
    visitOpt_foreign_server_version(ctx: any): any;
    visitAlterforeignserverstmt(ctx: any): any;
    visitCreateforeigntablestmt(ctx: any): any;
    visitImportforeignschemastmt(ctx: any): any;
    visitImport_qualification_type(ctx: any): any;
    visitImport_qualification(ctx: any): any;
    visitCreateusermappingstmt(ctx: any): any;
    visitAuth_ident(ctx: any): any;
    visitDropusermappingstmt(ctx: any): any;
    visitAlterusermappingstmt(ctx: any): any;
    visitCreatepolicystmt(ctx: any): any;
    visitAlterpolicystmt(ctx: any): any;
    visitRowsecurityoptionalexpr(ctx: any): any;
    visitRowsecurityoptionalwithcheck(ctx: any): any;
    visitRowsecuritydefaulttorole(ctx: any): any;
    visitRowsecurityoptionaltorole(ctx: any): any;
    visitRowsecuritydefaultpermissive(ctx: any): any;
    visitRowsecuritydefaultforcmd(ctx: any): any;
    visitRow_security_cmd(ctx: any): any;
    visitCreateamstmt(ctx: any): any;
    visitAm_type(ctx: any): any;
    visitCreatetrigstmt(ctx: any): any;
    visitTriggeractiontime(ctx: any): any;
    visitTriggerevents(ctx: any): any;
    visitTriggeroneevent(ctx: any): any;
    visitTriggerreferencing(ctx: any): any;
    visitTriggertransitions(ctx: any): any;
    visitTriggertransition(ctx: any): any;
    visitTransitionoldornew(ctx: any): any;
    visitTransitionrowortable(ctx: any): any;
    visitTransitionrelname(ctx: any): any;
    visitTriggerforspec(ctx: any): any;
    visitTriggerforopteach(ctx: any): any;
    visitTriggerfortype(ctx: any): any;
    visitTriggerwhen(ctx: any): any;
    visitFunction_or_procedure(ctx: any): any;
    visitTriggerfuncargs(ctx: any): any;
    visitTriggerfuncarg(ctx: any): any;
    visitOptconstrfromtable(ctx: any): any;
    visitConstraintattributespec(ctx: any): any;
    visitConstraintattributeElem(ctx: any): any;
    visitCreateeventtrigstmt(ctx: any): any;
    visitEvent_trigger_when_list(ctx: any): any;
    visitEvent_trigger_when_item(ctx: any): any;
    visitEvent_trigger_value_list(ctx: any): any;
    visitAltereventtrigstmt(ctx: any): any;
    visitEnable_trigger(ctx: any): any;
    visitCreateassertionstmt(ctx: any): any;
    visitDefinestmt(ctx: any): any;
    visitDefinition(ctx: any): any;
    visitDef_list(ctx: any): any;
    visitDef_elem(ctx: any): any;
    visitDef_arg(ctx: any): any;
    visitOld_aggr_definition(ctx: any): any;
    visitOld_aggr_list(ctx: any): any;
    visitOld_aggr_elem(ctx: any): any;
    visitOpt_enum_val_list(ctx: any): any;
    visitEnum_val_list(ctx: any): any;
    visitAlterenumstmt(ctx: any): any;
    visitOpt_if_not_exists(ctx: any): any;
    visitCreateopclassstmt(ctx: any): any;
    visitOpclass_item_list(ctx: any): any;
    visitOpclass_item(ctx: any): any;
    visitOpt_default(ctx: any): any;
    visitOpt_opfamily(ctx: any): any;
    visitOpclass_purpose(ctx: any): any;
    visitOpt_recheck(ctx: any): any;
    visitCreateopfamilystmt(ctx: any): any;
    visitAlteropfamilystmt(ctx: any): any;
    visitOpclass_drop_list(ctx: any): any;
    visitOpclass_drop(ctx: any): any;
    visitDropopclassstmt(ctx: any): any;
    visitDropopfamilystmt(ctx: any): any;
    visitDropownedstmt(ctx: any): any;
    visitReassignownedstmt(ctx: any): any;
    visitDropstmt(ctx: any): any;
    visitObject_type_any_name(ctx: any): any;
    visitObject_type_name(ctx: any): any;
    visitDrop_type_name(ctx: any): any;
    visitObject_type_name_on_any_name(ctx: any): any;
    visitAny_name_list(ctx: any): any;
    visitAny_name(ctx: any): any;
    visitAttrs(ctx: any): any;
    visitType_name_list(ctx: any): any;
    visitTruncatestmt(ctx: any): any;
    visitOpt_restart_seqs(ctx: any): any;
    visitCommentstmt(ctx: any): any;
    visitComment_text(ctx: any): any;
    visitSeclabelstmt(ctx: any): any;
    visitOpt_provider(ctx: any): any;
    visitSecurity_label(ctx: any): any;
    visitFetchstmt(ctx: any): any;
    visitFetch_args(ctx: any): any;
    visitFrom_in(ctx: any): any;
    visitOpt_from_in(ctx: any): any;
    visitGrantstmt(ctx: any): any;
    visitRevokestmt(ctx: any): any;
    visitPrivileges(ctx: any): any;
    visitPrivilege_list(ctx: any): any;
    visitPrivilege(ctx: any): any;
    visitPrivilege_target(ctx: any): any;
    visitGrantee_list(ctx: any): any;
    visitGrantee(ctx: any): any;
    visitOpt_grant_grant_option(ctx: any): any;
    visitGrantrolestmt(ctx: any): any;
    visitRevokerolestmt(ctx: any): any;
    visitOpt_grant_admin_option(ctx: any): any;
    visitOpt_granted_by(ctx: any): any;
    visitAlterdefaultprivilegesstmt(ctx: any): any;
    visitDefacloptionlist(ctx: any): any;
    visitDefacloption(ctx: any): any;
    visitDefaclaction(ctx: any): any;
    visitDefacl_privilege_target(ctx: any): any;
    visitIndexstmt(ctx: any): any;
    visitOpt_unique(ctx: any): any;
    visitOpt_concurrently(ctx: any): any;
    visitOpt_index_name(ctx: any): any;
    visitAccess_method_clause(ctx: any): any;
    visitIndex_params(ctx: any): any;
    visitIndex_elem_options(ctx: any): any;
    visitIndex_elem(ctx: any): any;
    visitOpt_include(ctx: any): any;
    visitIndex_including_params(ctx: any): any;
    visitOpt_collate(ctx: any): any;
    visitOpt_class(ctx: any): any;
    visitOpt_asc_desc(ctx: any): any;
    visitOpt_nulls_order(ctx: any): any;
    visitCreatefunctionstmt(ctx: any): any;
    visitOpt_or_replace(ctx: any): any;
    visitFunc_args(ctx: any): any;
    visitFunc_args_list(ctx: any): any;
    visitFunction_with_argtypes_list(ctx: any): any;
    visitFunction_with_argtypes(ctx: any): any;
    visitFunc_args_with_defaults(ctx: any): any;
    visitFunc_args_with_defaults_list(ctx: any): any;
    visitFunc_arg(ctx: any): any;
    visitArg_class(ctx: any): any;
    visitParam_name(ctx: any): any;
    visitFunc_return(ctx: any): any;
    visitFunc_type(ctx: any): any;
    visitFunc_arg_with_default(ctx: any): any;
    visitAggr_arg(ctx: any): any;
    visitAggr_args(ctx: any): any;
    visitAggr_args_list(ctx: any): any;
    visitAggregate_with_argtypes(ctx: any): any;
    visitAggregate_with_argtypes_list(ctx: any): any;
    visitCreatefunc_opt_list(ctx: any): any;
    visitCommon_func_opt_item(ctx: any): any;
    visitCreatefunc_opt_item(ctx: any): any;
    visitFunc_as(ctx: any): any;
    visitTransform_type_list(ctx: any): any;
    visitOpt_definition(ctx: any): any;
    visitTable_func_column(ctx: any): any;
    visitTable_func_column_list(ctx: any): any;
    visitAlterfunctionstmt(ctx: any): any;
    visitAlterfunc_opt_list(ctx: any): any;
    visitOpt_restrict(ctx: any): any;
    visitRemovefuncstmt(ctx: any): any;
    visitRemoveaggrstmt(ctx: any): any;
    visitRemoveoperstmt(ctx: any): any;
    visitOper_argtypes(ctx: any): any;
    visitAny_operator(ctx: any): any;
    visitOperator_with_argtypes_list(ctx: any): any;
    visitOperator_with_argtypes(ctx: any): any;
    visitDostmt(ctx: any): any;
    visitDostmt_opt_list(ctx: any): any;
    visitDostmt_opt_item(ctx: any): any;
    visitCreatecaststmt(ctx: any): any;
    visitCast_context(ctx: any): any;
    visitDropcaststmt(ctx: any): any;
    visitOpt_if_exists(ctx: any): any;
    visitCreatetransformstmt(ctx: any): any;
    visitTransform_element_list(ctx: any): any;
    visitDroptransformstmt(ctx: any): any;
    visitReindexstmt(ctx: any): any;
    visitReindex_target_type(ctx: any): any;
    visitReindex_target_multitable(ctx: any): any;
    visitReindex_option_list(ctx: any): any;
    visitReindex_option_elem(ctx: any): any;
    visitAltertblspcstmt(ctx: any): any;
    visitRenamestmt(ctx: any): any;
    visitOpt_column(ctx: any): any;
    visitOpt_set_data(ctx: any): any;
    visitAlterobjectdependsstmt(ctx: any): any;
    visitOpt_no(ctx: any): any;
    visitAlterobjectschemastmt(ctx: any): any;
    visitAlteroperatorstmt(ctx: any): any;
    visitOperator_def_list(ctx: any): any;
    visitOperator_def_elem(ctx: any): any;
    visitOperator_def_arg(ctx: any): any;
    visitAltertypestmt(ctx: any): any;
    visitAlterownerstmt(ctx: any): any;
    visitCreatepublicationstmt(ctx: any): any;
    visitOpt_publication_for_tables(ctx: any): any;
    visitPublication_for_tables(ctx: any): any;
    visitAlterpublicationstmt(ctx: any): any;
    visitCreatesubscriptionstmt(ctx: any): any;
    visitPublication_name_list(ctx: any): any;
    visitPublication_name_item(ctx: any): any;
    visitAltersubscriptionstmt(ctx: any): any;
    visitDropsubscriptionstmt(ctx: any): any;
    visitRulestmt(ctx: any): any;
    visitRuleactionlist(ctx: any): any;
    visitRuleactionmulti(ctx: any): any;
    visitRuleactionstmt(ctx: any): any;
    visitRuleactionstmtOrEmpty(ctx: any): any;
    visitEvent(ctx: any): any;
    visitOpt_instead(ctx: any): any;
    visitNotifystmt(ctx: any): any;
    visitNotify_payload(ctx: any): any;
    visitListenstmt(ctx: any): any;
    visitUnlistenstmt(ctx: any): any;
    visitTransactionstmt(ctx: any): any;
    visitOpt_transaction(ctx: any): any;
    visitTransaction_mode_item(ctx: any): any;
    visitTransaction_mode_list(ctx: any): any;
    visitTransaction_mode_list_or_empty(ctx: any): any;
    visitOpt_transaction_chain(ctx: any): any;
    visitViewstmt(ctx: any): any;
    visitOpt_check_option(ctx: any): any;
    visitLoadstmt(ctx: any): any;
    visitCreatedbstmt(ctx: any): any;
    visitCreatedb_opt_list(ctx: any): any;
    visitCreatedb_opt_items(ctx: any): any;
    visitCreatedb_opt_item(ctx: any): any;
    visitCreatedb_opt_name(ctx: any): any;
    visitOpt_equal(ctx: any): any;
    visitAlterdatabasestmt(ctx: any): any;
    visitAlterdatabasesetstmt(ctx: any): any;
    visitDropdbstmt(ctx: any): any;
    visitDrop_option_list(ctx: any): any;
    visitDrop_option(ctx: any): any;
    visitAltercollationstmt(ctx: any): any;
    visitAltersystemstmt(ctx: any): any;
    visitCreatedomainstmt(ctx: any): any;
    visitAlterdomainstmt(ctx: any): any;
    visitOpt_as(ctx: any): any;
    visitAltertsdictionarystmt(ctx: any): any;
    visitAltertsconfigurationstmt(ctx: any): any;
    visitAny_with(ctx: any): any;
    visitCreateconversionstmt(ctx: any): any;
    visitClusterstmt(ctx: any): any;
    visitCluster_index_specification(ctx: any): any;
    visitVacuumstmt(ctx: any): any;
    visitAnalyzestmt(ctx: any): any;
    visitVac_analyze_option_list(ctx: any): any;
    visitAnalyze_keyword(ctx: any): any;
    visitVac_analyze_option_elem(ctx: any): any;
    visitVac_analyze_option_name(ctx: any): any;
    visitVac_analyze_option_arg(ctx: any): any;
    visitOpt_analyze(ctx: any): any;
    visitOpt_verbose(ctx: any): any;
    visitOpt_full(ctx: any): any;
    visitOpt_freeze(ctx: any): any;
    visitOpt_name_list(ctx: any): any;
    visitVacuum_relation(ctx: any): any;
    visitVacuum_relation_list(ctx: any): any;
    visitOpt_vacuum_relation_list(ctx: any): any;
    visitExplainstmt(ctx: any): any;
    visitExplainablestmt(ctx: any): any;
    visitExplain_option_list(ctx: any): any;
    visitExplain_option_elem(ctx: any): any;
    visitExplain_option_name(ctx: any): any;
    visitExplain_option_arg(ctx: any): any;
    visitPreparestmt(ctx: any): any;
    visitPrep_type_clause(ctx: any): any;
    visitPreparablestmt(ctx: any): any;
    visitExecutestmt(ctx: any): any;
    visitExecute_param_clause(ctx: any): any;
    visitDeallocatestmt(ctx: any): any;
    visitInsertstmt(ctx: any): any;
    visitInsert_target(ctx: any): any;
    visitInsert_rest(ctx: any): any;
    visitOverride_kind(ctx: any): any;
    visitInsert_column_list(ctx: any): any;
    visitInsert_column_item(ctx: any): any;
    visitOpt_on_conflict(ctx: any): any;
    visitOpt_conf_expr(ctx: any): any;
    visitReturning_clause(ctx: any): any;
    visitDeletestmt(ctx: any): any;
    visitUsing_clause(ctx: any): any;
    visitLockstmt(ctx: any): any;
    visitOpt_lock(ctx: any): any;
    visitLock_type(ctx: any): any;
    visitOpt_nowait(ctx: any): any;
    visitOpt_nowait_or_skip(ctx: any): any;
    visitUpdatestmt(ctx: any): any;
    visitSet_clause_list(ctx: any): any;
    visitSet_clause(ctx: any): any;
    visitSet_target(ctx: any): any;
    visitSet_target_list(ctx: any): any;
    visitDeclarecursorstmt(ctx: any): any;
    visitCursor_name(ctx: any): any;
    visitCursor_options(ctx: any): any;
    visitOpt_hold(ctx: any): any;
    visitSelectstmt(ctx: any): any;
    visitSelect_with_parens(ctx: any): any;
    visitSelect_no_parens(ctx: any): any;
    visitSelect_clause(ctx: any): any;
    visitSimple_select(ctx: any): any;
    visitUnion(ctx: any): any;
    visitIntersect(ctx: any): any;
    visitExcept(ctx: any): any;
    visitSet_operator_with_all_or_distinct(ctx: any): any;
    visitWith_clause(ctx: any): any;
    visitCte_list(ctx: any): any;
    visitCommon_table_expr(ctx: any): any;
    visitOpt_materialized(ctx: any): any;
    visitOpt_with_clause(ctx: any): any;
    visitInto_clause(ctx: any): any;
    visitOpt_strict(ctx: any): any;
    visitOpttempTableName(ctx: any): any;
    visitOpt_table(ctx: any): any;
    visitAll_or_distinct(ctx: any): any;
    visitDistinct_clause(ctx: any): any;
    visitOpt_all_clause(ctx: any): any;
    visitOpt_sort_clause(ctx: any): any;
    visitSort_clause(ctx: any): any;
    visitSortby_list(ctx: any): any;
    visitSortby(ctx: any): any;
    visitSelect_limit(ctx: any): any;
    visitOpt_select_limit(ctx: any): any;
    visitLimit_clause(ctx: any): any;
    visitOffset_clause(ctx: any): any;
    visitSelect_limit_value(ctx: any): any;
    visitSelect_offset_value(ctx: any): any;
    visitSelect_fetch_first_value(ctx: any): any;
    visitI_or_f_const(ctx: any): any;
    visitRow_or_rows(ctx: any): any;
    visitFirst_or_next(ctx: any): any;
    visitGroup_clause(ctx: any): any;
    visitGroup_by_list(ctx: any): any;
    visitGroup_by_item(ctx: any): any;
    visitEmpty_grouping_set(ctx: any): any;
    visitRollup_clause(ctx: any): any;
    visitCube_clause(ctx: any): any;
    visitGrouping_sets_clause(ctx: any): any;
    visitHaving_clause(ctx: any): any;
    visitFor_locking_clause(ctx: any): any;
    visitOpt_for_locking_clause(ctx: any): any;
    visitFor_locking_items(ctx: any): any;
    visitFor_locking_item(ctx: any): any;
    visitFor_locking_strength(ctx: any): any;
    visitLocked_rels_list(ctx: any): any;
    visitValues_clause(ctx: any): any;
    visitFrom_clause(ctx: any): any;
    visitFrom_list(ctx: any): any;
    visitTable_ref(ctx: any): any;
    visitAlias_clause(ctx: any): any;
    visitOpt_alias_clause(ctx: any): any;
    visitFunc_alias_clause(ctx: any): any;
    visitJoin_type(ctx: any): any;
    visitJoin_qual(ctx: any): any;
    visitRelation_expr(ctx: any): any;
    visitRelation_expr_list(ctx: any): any;
    visitRelation_expr_opt_alias(ctx: any): any;
    visitTablesample_clause(ctx: any): any;
    visitOpt_repeatable_clause(ctx: any): any;
    visitFunc_table(ctx: any): any;
    visitRowsfrom_item(ctx: any): any;
    visitRowsfrom_list(ctx: any): any;
    visitOpt_col_def_list(ctx: any): any;
    visitOpt_ordinality(ctx: any): any;
    visitWhere_clause(ctx: any): any;
    visitWhere_or_current_clause(ctx: any): any;
    visitOpttablefuncelementlist(ctx: any): any;
    visitTablefuncelementlist(ctx: any): any;
    visitTablefuncelement(ctx: any): any;
    visitXmltable(ctx: any): any;
    visitXmltable_column_list(ctx: any): any;
    visitXmltable_column_el(ctx: any): any;
    visitXmltable_column_option_list(ctx: any): any;
    visitXmltable_column_option_el(ctx: any): any;
    visitXml_namespace_list(ctx: any): any;
    visitXml_namespace_el(ctx: any): any;
    visitTypename(ctx: any): any;
    visitOpt_array_bounds(ctx: any): any;
    visitSimpletypename(ctx: any): any;
    visitConsttypename(ctx: any): any;
    visitGenerictype(ctx: any): any;
    visitOpt_type_modifiers(ctx: any): any;
    visitNumeric(ctx: any): any;
    visitOpt_float(ctx: any): any;
    visitBit(ctx: any): any;
    visitConstbit(ctx: any): any;
    visitBitwithlength(ctx: any): any;
    visitBitwithoutlength(ctx: any): any;
    visitCharacter(ctx: any): any;
    visitConstcharacter(ctx: any): any;
    visitCharacter_c(ctx: any): any;
    visitOpt_varying(ctx: any): any;
    visitConstdatetime(ctx: any): any;
    visitConstinterval(ctx: any): any;
    visitOpt_timezone(ctx: any): any;
    visitOpt_interval(ctx: any): any;
    visitInterval_second(ctx: any): any;
    visitOpt_escape(ctx: any): any;
    visitA_expr(ctx: any): any;
    visitA_expr_qual(ctx: any): any;
    visitA_expr_lessless(ctx: any): any;
    visitA_expr_or(ctx: any): any;
    visitA_expr_and(ctx: any): any;
    visitA_expr_in(ctx: any): any;
    visitA_expr_unary_not(ctx: any): any;
    visitA_expr_isnull(ctx: any): any;
    visitA_expr_is_not(ctx: any): any;
    visitA_expr_compare(ctx: any): any;
    visitA_expr_like(ctx: any): any;
    visitA_expr_qual_op(ctx: any): any;
    visitA_expr_unary_qualop(ctx: any): any;
    visitA_expr_add(ctx: any): any;
    visitA_expr_mul(ctx: any): any;
    visitA_expr_caret(ctx: any): any;
    visitA_expr_unary_sign(ctx: any): any;
    visitA_expr_at_time_zone(ctx: any): any;
    visitA_expr_collate(ctx: any): any;
    visitA_expr_typecast(ctx: any): any;
    visitB_expr(ctx: any): any;
    visitC_expr_exists(ctx: any): any;
    visitC_expr_expr(ctx: any): any;
    visitC_expr_case(ctx: any): any;
    visitPlsqlvariablename(ctx: any): any;
    visitFunc_application(ctx: any): any;
    visitFunc_expr(ctx: any): any;
    visitFunc_expr_windowless(ctx: any): any;
    visitFunc_expr_common_subexpr(ctx: any): any;
    visitXml_root_version(ctx: any): any;
    visitOpt_xml_root_standalone(ctx: any): any;
    visitXml_attributes(ctx: any): any;
    visitXml_attribute_list(ctx: any): any;
    visitXml_attribute_el(ctx: any): any;
    visitDocument_or_content(ctx: any): any;
    visitXml_whitespace_option(ctx: any): any;
    visitXmlexists_argument(ctx: any): any;
    visitXml_passing_mech(ctx: any): any;
    visitWithin_group_clause(ctx: any): any;
    visitFilter_clause(ctx: any): any;
    visitWindow_clause(ctx: any): any;
    visitWindow_definition_list(ctx: any): any;
    visitWindow_definition(ctx: any): any;
    visitOver_clause(ctx: any): any;
    visitWindow_specification(ctx: any): any;
    visitOpt_existing_window_name(ctx: any): any;
    visitOpt_partition_clause(ctx: any): any;
    visitOpt_frame_clause(ctx: any): any;
    visitFrame_extent(ctx: any): any;
    visitFrame_bound(ctx: any): any;
    visitOpt_window_exclusion_clause(ctx: any): any;
    visitRow(ctx: any): any;
    visitExplicit_row(ctx: any): any;
    visitImplicit_row(ctx: any): any;
    visitSub_type(ctx: any): any;
    visitAll_op(ctx: any): any;
    visitMathop(ctx: any): any;
    visitQual_op(ctx: any): any;
    visitQual_all_op(ctx: any): any;
    visitSubquery_Op(ctx: any): any;
    visitExpr_list(ctx: any): any;
    visitFunc_arg_list(ctx: any): any;
    visitFunc_arg_expr(ctx: any): any;
    visitType_list(ctx: any): any;
    visitArray_expr(ctx: any): any;
    visitArray_expr_list(ctx: any): any;
    visitExtract_list(ctx: any): any;
    visitExtract_arg(ctx: any): any;
    visitUnicode_normal_form(ctx: any): any;
    visitOverlay_list(ctx: any): any;
    visitPosition_list(ctx: any): any;
    visitSubstr_list(ctx: any): any;
    visitTrim_list(ctx: any): any;
    visitIn_expr_select(ctx: any): any;
    visitIn_expr_list(ctx: any): any;
    visitCase_expr(ctx: any): any;
    visitWhen_clause_list(ctx: any): any;
    visitWhen_clause(ctx: any): any;
    visitCase_default(ctx: any): any;
    visitCase_arg(ctx: any): any;
    visitColumnref(ctx: any): any;
    visitIndirection_el(ctx: any): any;
    visitOpt_slice_bound(ctx: any): any;
    visitIndirection(ctx: any): any;
    visitOpt_indirection(ctx: any): any;
    visitOpt_target_list(ctx: any): any;
    visitTarget_list(ctx: any): any;
    visitTarget_label(ctx: any): any;
    visitTarget_star(ctx: any): any;
    visitQualified_name_list(ctx: any): any;
    visitQualified_name(ctx: any): any;
    visitName_list(ctx: any): any;
    visitName(ctx: any): any;
    visitAttr_name(ctx: any): any;
    visitFile_name(ctx: any): any;
    visitFunc_name(ctx: any): any;
    visitAexprconst(ctx: any): any;
    visitXconst(ctx: any): any;
    visitBconst(ctx: any): any;
    visitFconst(ctx: any): any;
    visitIconst(ctx: any): any;
    visitSconst(ctx: any): any;
    visitAnysconst(ctx: any): any;
    visitOpt_uescape(ctx: any): any;
    visitSignediconst(ctx: any): any;
    visitRoleid(ctx: any): any;
    visitRolespec(ctx: any): any;
    visitRole_list(ctx: any): any;
    visitColid(ctx: any): any;
    visitType_function_name(ctx: any): any;
    visitNonreservedword(ctx: any): any;
    visitCollabel(ctx: any): any;
    visitIdentifier(ctx: any): any;
    visitPlsqlidentifier(ctx: any): any;
    visitUnreserved_keyword(ctx: any): any;
    visitCol_name_keyword(ctx: any): any;
    visitType_func_name_keyword(ctx: any): any;
    visitReserved_keyword(ctx: any): any;
    visitPl_function(ctx: any): any;
    visitComp_options(ctx: any): any;
    visitComp_option(ctx: any): any;
    visitSharp(ctx: any): any;
    visitOption_value(ctx: any): any;
    visitOpt_semi(ctx: any): any;
    visitPl_block(ctx: any): any;
    visitDecl_sect(ctx: any): any;
    visitDecl_start(ctx: any): any;
    visitDecl_stmts(ctx: any): any;
    visitLabel_decl(ctx: any): any;
    visitDecl_stmt(ctx: any): any;
    visitDecl_statement(ctx: any): any;
    visitOpt_scrollable(ctx: any): any;
    visitDecl_cursor_query(ctx: any): any;
    visitDecl_cursor_args(ctx: any): any;
    visitDecl_cursor_arglist(ctx: any): any;
    visitDecl_cursor_arg(ctx: any): any;
    visitDecl_is_for(ctx: any): any;
    visitDecl_aliasitem(ctx: any): any;
    visitDecl_varname(ctx: any): any;
    visitDecl_const(ctx: any): any;
    visitDecl_datatype(ctx: any): any;
    visitDecl_collate(ctx: any): any;
    visitDecl_notnull(ctx: any): any;
    visitDecl_defval(ctx: any): any;
    visitDecl_defkey(ctx: any): any;
    visitAssign_operator(ctx: any): any;
    visitProc_sect(ctx: any): any;
    visitProc_stmt(ctx: any): any;
    visitStmt_perform(ctx: any): any;
    visitStmt_call(ctx: any): any;
    visitOpt_expr_list(ctx: any): any;
    visitStmt_assign(ctx: any): any;
    visitStmt_getdiag(ctx: any): any;
    visitGetdiag_area_opt(ctx: any): any;
    visitGetdiag_list(ctx: any): any;
    visitGetdiag_list_item(ctx: any): any;
    visitGetdiag_item(ctx: any): any;
    visitGetdiag_target(ctx: any): any;
    visitAssign_var(ctx: any): any;
    visitStmt_if(ctx: any): any;
    visitStmt_elsifs(ctx: any): any;
    visitStmt_else(ctx: any): any;
    visitStmt_case(ctx: any): any;
    visitOpt_expr_until_when(ctx: any): any;
    visitCase_when_list(ctx: any): any;
    visitCase_when(ctx: any): any;
    visitOpt_case_else(ctx: any): any;
    visitStmt_loop(ctx: any): any;
    visitStmt_while(ctx: any): any;
    visitStmt_for(ctx: any): any;
    visitFor_control(ctx: any): any;
    visitOpt_for_using_expression(ctx: any): any;
    visitOpt_cursor_parameters(ctx: any): any;
    visitOpt_reverse(ctx: any): any;
    visitOpt_by_expression(ctx: any): any;
    visitFor_variable(ctx: any): any;
    visitStmt_foreach_a(ctx: any): any;
    visitForeach_slice(ctx: any): any;
    visitStmt_exit(ctx: any): any;
    visitExit_type(ctx: any): any;
    visitStmt_return(ctx: any): any;
    visitOpt_return_result(ctx: any): any;
    visitStmt_raise(ctx: any): any;
    visitOpt_stmt_raise_level(ctx: any): any;
    visitOpt_raise_list(ctx: any): any;
    visitOpt_raise_using(ctx: any): any;
    visitOpt_raise_using_elem(ctx: any): any;
    visitOpt_raise_using_elem_list(ctx: any): any;
    visitStmt_assert(ctx: any): any;
    visitOpt_stmt_assert_message(ctx: any): any;
    visitLoop_body(ctx: any): any;
    visitStmt_execsql(ctx: any): any;
    visitStmt_dynexecute(ctx: any): any;
    visitOpt_execute_using(ctx: any): any;
    visitOpt_execute_using_list(ctx: any): any;
    visitOpt_execute_into(ctx: any): any;
    visitStmt_open(ctx: any): any;
    visitOpt_open_bound_list_item(ctx: any): any;
    visitOpt_open_bound_list(ctx: any): any;
    visitOpt_open_using(ctx: any): any;
    visitOpt_scroll_option(ctx: any): any;
    visitOpt_scroll_option_no(ctx: any): any;
    visitStmt_fetch(ctx: any): any;
    visitInto_target(ctx: any): any;
    visitOpt_cursor_from(ctx: any): any;
    visitOpt_fetch_direction(ctx: any): any;
    visitStmt_move(ctx: any): any;
    visitStmt_close(ctx: any): any;
    visitStmt_null(ctx: any): any;
    visitStmt_commit(ctx: any): any;
    visitStmt_rollback(ctx: any): any;
    visitPlsql_opt_transaction_chain(ctx: any): any;
    visitStmt_set(ctx: any): any;
    visitCursor_variable(ctx: any): any;
    visitException_sect(ctx: any): any;
    visitProc_exceptions(ctx: any): any;
    visitProc_exception(ctx: any): any;
    visitProc_conditions(ctx: any): any;
    visitProc_condition(ctx: any): any;
    visitOpt_block_label(ctx: any): any;
    visitOpt_loop_label(ctx: any): any;
    visitOpt_label(ctx: any): any;
    visitOpt_exitcond(ctx: any): any;
    visitAny_identifier(ctx: any): any;
    visitPlsql_unreserved_keyword(ctx: any): any;
    visitSql_expression(ctx: any): any;
    visitExpr_until_then(ctx: any): any;
    visitExpr_until_semi(ctx: any): any;
    visitExpr_until_rightbracket(ctx: any): any;
    visitExpr_until_loop(ctx: any): any;
    visitMake_execsql_stmt(ctx: any): any;
    visitOpt_returning_clause_into(ctx: any): any;
}
